Subject: Re: [PATCH net] ipv4: Use return value of inet_iif() for __raw_v4_lookup in the while loop

From: Stefano Brivio <[email-masked]>
Date: Tue, 25 Jun 2019 21:59:12 +0200

On Tue, 25 Jun 2019 12:47:38 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stephen Suryaputra <[email-masked]>
> Date: Mon, 24 Jun 2019 20:14:06 -0400
> 
> > In commit 19e4e768064a8 ("ipv4: Fix raw socket lookup for local
> > traffic"), the dif argument to __raw_v4_lookup() is coming from the
> > returned value of inet_iif() but the change was done only for the first
> > lookup. Subsequent lookups in the while loop still use skb->dev->ifIndex.
> > 
> > Signed-off-by: Stephen Suryaputra <[email-masked]>  
> 
> Applied and queued up for -stable.
> 
> I added the appropriate Fixes: tag, please do so next time.

I was about to point that out, but then I noticed that this
doesn't actually fix 19e4e768064a8 ("ipv4: Fix raw socket lookup for
local traffic"), it's just related as it fixes the same issue in
another (very likely) path in the same function.

I think this should have been:
	Fixes: 1da177e4c3f4 ("Linux-2.6.12-rc2")

I *guess* for -stable purposes the effect is the same.

-- 
Stefano